<?xml version="1.0"?>
<configuration>
    <system.diagnostics>
        <sources>
            <!-- This section defines the logging configuration for My.Application.Log -->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog"/>
                    <!-- Uncomment the below section to write to the Application Event Log -->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information"/>
        </switches>
        <sharedListeners>
            <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter"/>
            <!-- Uncomment the below section and replace APPLICATION_NAME with the name of your application to write to the Application Event Log -->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/></startup>
  <system.serviceModel>
    <extensions>
      <behaviorExtensions>
        <add name="cookieManager" type="Eticadata.Infrastructure.CookieManagerBehaviorExtension, Eticadata.Infrastructure"/>
      </behaviorExtensions>
    </extensions>
    <behaviors>
      <endpointBehaviors>
        <behavior name="EndpointService1Behavior">
          <dataContractSerializer maxItemsInObjectGraph="2147483647"/>
        </behavior>
        <behavior name="EnableCookieManager">
          <cookieManager/>
        </behavior>
      </endpointBehaviors>
    </behaviors>

    <bindings>
      <basicHttpBinding>
        <binding name="BasicHttpBinding_Http" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferSize="2147483647" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647" messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647"/>
          <security mode="None">
          </security>
        </binding>
        <binding name="BasicHttpBinding_Https" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferSize="2147483647" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647" messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647"/>
          <security mode="Transport">
          </security>
        </binding>
      </basicHttpBinding>

    </bindings>
    <client>
      <endpoint binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Http" contract="AuthenticationHelper.AuthenticationHelperServicesoap" name="BasicHttpBinding_AuthenticationHelperServicesoap"/>
      <endpoint binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Https" contract="AuthenticationHelper.AuthenticationHelperServicesoap" name="HttpsBinding_AuthenticationHelperServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Http" contract="Authentication.AuthenticationServicesoap" name="BasicHttpBinding_AuthenticationServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Https" contract="Authentication.AuthenticationServicesoap" name="HttpsBinding_AuthenticationServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Http" contract="ErpAuthentication.AuthenticationServicesoap" name="BasicHttpBinding_AuthenticationServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Https" contract="ErpAuthentication.AuthenticationServicesoap" name="HttpsBinding_AuthenticationServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Http" contract="ErpOpenEmpresa.OpenEmpresaServicesoap" name="BasicHttpBinding_OpenEmpresaServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Https" contract="ErpOpenEmpresa.OpenEmpresaServicesoap" name="HttpsBinding_OpenEmpresaServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Http" contract="RiaAnexos.AnexosDigitaisServicesoap" name="BasicHttpBinding_AnexosDigitaisServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Https" contract="RiaAnexos.AnexosDigitaisServicesoap" name="HttpsBinding_AnexosDigitaisServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Http" contract="ServiceCompilarCodigoPersonalizado.ModuleBuilderServicesoap" name="BasicHttpBinding_ModuleBuilderServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Https" contract="ServiceCompilarCodigoPersonalizado.ModuleBuilderServicesoap" name="HttpsBinding_ModuleBuilderServicesoap"/>
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Http" contract="EticadataWeb.StartupDomainServicesoap" name="BasicHttpBinding_StartupDomainServicesoap" />
      <endpoint behaviorConfiguration="EnableCookieManager" address="" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_Https" contract="EticadataWeb.StartupDomainServicesoap" name="HttpsBinding_StartupDomainServicesoap" />
    </client>
  </system.serviceModel>
</configuration>
